org.h2.engine

## Enum Mode.CharPadding

- java.lang.Object
- - java.lang.Enum<Mode.CharPadding>
  - - org.h2.engine.Mode.CharPadding

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<Mode.CharPadding>
  Enclosing class:
    Mode

      public static enum Mode.CharPadding
      extends java.lang.Enum<Mode.CharPadding>

  When CHAR values are right-padded with spaces.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `ALWAYS` CHAR values are always right-padded with spaces.
    `IN_RESULT_SETS` Spaces are trimmed from the right side of CHAR values, but CHAR values in result sets are right-padded with spaces to the declared length
    `NEVER` Spaces are trimmed from the right side of CHAR values.

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static Mode.CharPadding` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static Mode.CharPadding[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### ALWAYS

          public static final Mode.CharPadding ALWAYS

      CHAR values are always right-padded with spaces.

    - #### IN_RESULT_SETS

          public static final Mode.CharPadding IN_RESULT_SETS

      Spaces are trimmed from the right side of CHAR values, but CHAR values in result sets are right-padded with spaces to the declared length

    - #### NEVER

          public static final Mode.CharPadding NEVER

      Spaces are trimmed from the right side of CHAR values.

  - ### Method Detail

    - #### values

          public static Mode.CharPadding[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (Mode.CharPadding c : Mode.CharPadding.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static Mode.CharPadding valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null